
#include<Arduino.h>
#include<Wire.h>
#include <U8g2lib.h>

U8G2_SSD1306_128X64_NONAME_F_SW_I2C
u8g2(U8G2_R0, /* clock=*/ 12, /* data=*/ 14, /* reset=*/ U8X8_PIN_NONE);   // All Boards without Reset of the Display

const int buttonPin = 0;     // the number of the pushbutton pin
int audio8 = 2;      // output audio on pin 13
int note = 800;      // music note/pitch
int led1 = 4;
int led2 = 5;
int treshold = 300;
//   variables will change:
int buttonState = 0;         // variable for reading the   pushbutton status

void setup() {
  
  u8g2.begin();
  pinMode(buttonPin, INPUT);
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);  
  Serial.begin(9600);;
}

void loop() {
  
    u8g2.clearBuffer();
    u8g2.setFont(u8g2_font_7x14B_tr);
    buttonState = analogRead(buttonPin);
   // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
   if (buttonState < treshold) {
    //turn Speaker on:
    tone(audio8, note);
    digitalWrite(led1, HIGH);
    digitalWrite(led2, LOW);
    Serial.println("switch attivato");
    u8g2.drawStr(10,10,"switch attivato ");
    u8g2.drawStr(10,30,"                ");    
    u8g2.sendBuffer();
   } else {
    // turn Speaker off:
    noTone(audio8);
    digitalWrite(led1, LOW);
    digitalWrite(led2, HIGH);
    Serial.println("switch non attivato"); 
    u8g2.drawStr(10,30,"switch non attivo");
    u8g2.drawStr(10,10,"                 ");
    u8g2.sendBuffer();  
  }
  Serial.println(buttonState);
  delay(300);

  
/*  u8g2.clearBuffer();
  u8g2.setFont(u8g2_font_7x14B_tr);
  u8g2.drawStr(0,10,"Hello,ideaspark");
  u8g2.drawStr(0,40,"u8g2 library");
  u8g2.sendBuffer();
  delay(1000);*/

}
